Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class BooleanClause

    java.lang.Object
      org.apache.lucene.search.BooleanClause

All Implemented Interfaces:
  Serializable

public class BooleanClause
extends Object
implements Serializable

A clause in a BooleanQuery.

See Also:
  Serialized Form

Field Summary
`boolean` | `prohibited` If true, documents documents which do match this sub-query will not match the boolean query.
`Query` | `query` The query whose matching documents are combined by the boolean query.
`boolean` | `required` If true, documents documents which do not match this sub-query will not match the boolean query.

Constructor Summary
`BooleanClause(Query q, boolean r, boolean p)` Constructs a BooleanClause with query `q`, required `r` and prohibited `p`.

Method Summary
`boolean` | `equals(Object o)` Returns true iff `o` is equal to this.
`int` | `hashCode()` Returns a hash code value for this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### query

    public Query query

  The query whose matching documents are combined by the boolean query.

### required

    public boolean required

  If true, documents documents which do not match this sub-query will not match the boolean query.

### prohibited

    public boolean prohibited

  If true, documents documents which do match this sub-query will not match the boolean query.

Constructor Detail

### BooleanClause

    public BooleanClause(Query q,
                         boolean r,
                         boolean p)

  Constructs a BooleanClause with query `q`, required `r` and prohibited `p`.

Method Detail

### equals

    public boolean equals(Object o)

  Returns true iff `o` is equal to this.

### hashCode

    public int hashCode()

  Returns a hash code value for this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.